<script>
    export let data=[]; 
    export let scaleY;
    export let scaleX_left;

//Path
let pathGenerator = (d) => {
  //console.log(d)
  let path = "M 0,0";
  d.forEach((value, idx) => {
    path += " " + scaleX_left(idx) + ',' + scaleY(value)
  })
  //console.log(path)
  return path;
}
</script>

<style>
  path{
    stroke: none;
    fill: blue;
    fill-opacity: 0.8;
  }
</style>

<path d={pathGenerator(data)}/>


